%define	desktop_vendor planetccrma

Summary: Sound visualization and annotation program
Name: sonic-visualiser
Version: 1.2
Release: 2%{?pretag:.%{pretag}}%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.sonicvisualiser.org/
Source0: http://downloads.sourceforge.net/sv1/sonic-visualiser-%{version}.tar.bz2
Source1: sonic-visualiser.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: hicolor-icon-theme rubberband
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: qt4-devel libsndfile-devel libsamplerate-devel
BuildRequires: fftw3-devel bzip2-devel vamp-plugin-sdk-devel
BuildRequires: jack-audio-connection-kit-devel alsa-lib-devel
BuildRequires: liboggz-devel libfishsound-devel liblo-devel
BuildRequires: liblrdf-devel libvorbis-devel speex-devel
BuildRequires: desktop-file-utils rubberband-devel
# optional libmad-devel

%description
The aim of Sonic Visualiser is to be the program you reach for when
you find a musical recording you want to study rather than simply
hear. As well as a number of features designed to make exploring audio
data as revealing and fun as possible, Sonic Visualiser also has
powerful annotation capabilities to help you to describe what you
find, and the ability to run automated annotation and analysis plugins
in the new Vamp analysis plugin format.

%prep
%setup -q -n sonic-visualiser-%{version}%{?pretag}

%build
# disable portaudio support because there's no pkgconfig support
# for it and we don't want it enabled
%{__perl} -p -i -e "s|DEFINES \+= HAVE_PORTAUDIO||g" sv.prf
%{__perl} -p -i -e "s|LIBS    \+= -lportaudio||g" sv.prf

%if "%{?redhat}" == "5"
%{_libdir}/qt4/bin/qmake
%else
qmake-qt4
%endif
%{__make} %{?smp_flags}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__install} -m 0755 sv/sonic-visualiser %{buildroot}%{_bindir}

# copy icon to the proper freedesktop location
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
%{__cp} sv/icons/sv-icon.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/sonic-visualiser.svg

# desktop file categories
BASE="Application AudioVideo Audio"
XTRA="X-Audio_Tools X-Jack"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc README* COPYING
%{_bindir}/sonic-visualiser
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/scalable/apps/sonic-visualiser.svg

%changelog
* Wed Feb 20 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 1.2-1
- updated to 1.2
- added ruberband-devel build requirement

* Mon Nov 19 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Tue Jun 12 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 1.0-1
- updated to 1.0
- added desktop menu entry and icon

* Tue Apr 24 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 1.0-0.1.pre3
- added x86_64 patch from Arnaud Gomes-do-Vale (patch0)

* Thu Apr 12 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 1.0-0.1.pre3
- initial build.
